**Source URL:** https://limited.veevavault.dev/quality/vault-api/api-reference/23.3/vault-objects/object-types/retrieve-details-from-a-specific-object.md

# Retrieve Details from a Specific Object



<Endpoint path="/api/{version}/configuration/{object_name_and_object_type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name_and_object_type}` | The object name followed by the object type in the format `Objecttype.{object_name}.{object_type}`. For example, `Objecttype.product__v.base__v`. |
</FieldTable>

## Response {#response}

The response lists all object types and all fields configured on each object type for the specific object. See the next response for details.

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/configuration/Objecttype.product__v.base__v

```
</CodeExample>

---

**Previous:** [Retrieve Details from All Object Types](/quality/vault-api/api-reference/23.3/vault-objects/object-types/retrieve-details-from-all-object-types)  
**Next:** [Change Object Type](/quality/vault-api/api-reference/23.3/vault-objects/object-types/change-object-type)